# Statistical tools for teaching at NBI 

This package extends some of the existing tools in
[_NumPy_](https://numpy.org) and [_SciPy_](https://scipy.org) with
some useful features designed to make life easier for the students at
the Niels Bohr Institute. 

## Topics

- Reporting scientific results, including proper rounding 
- Tabulation of data useful in Jupyter Notebooks 
- Visualisation of data in 1 and many dimensions 
- Robust calculations of sample means, variances, and covariances, for
  unweighted and weighted samples.  For weighted samples, both
  _frequency_ and _non_-frequency weights are supported. 
- Histogramming 
- Sampling of arbitrary PDFs 
- Curve fitting using 
  - Linear least squares 
  - Non-linear least squares 
  - Maximum likelihood estimates 
- Representation of fit confidence contours 

## Examples of use 

[This
notebook](https://cholmcc.gitlab.io/nbi-python/statistics/#nbi_stat_exa)
gives examples of use. 

## Booklet on Statistics with Python 

The booklet [Statistics Overview - With
Python](https://cholmcc.gitlab.io/nbi-python/statistics/#Statistik)
lays out much of the theoretical foundation for the tools available. 

## Application Programming Interface Documentation 

The API is
[documented](https://cholmcc.gitlab.io/nbi-python/statistics/nbi_stat). 

2019 © _Christian Holm Christensen_
